Remove mentions of non-existant archives.

Index: camlimages/src/META.in
===================================================================
--- camlimages.orig/src/META.in	2011-08-04 22:11:48.000000000 -0500
+++ camlimages/src/META.in	2011-08-04 22:12:00.000000000 -0500
@@ -2,9 +2,6 @@
 version = "@PACKAGE_VERSION@"
 description = "Objective Caml image processing library"
 
-archive(byte) = "camlimages.cma"
-archive(native) = "camlimages.cmxa"
-
 package "core" (
   archive(byte) = "camlimages_core.cma"
   archive(native) = "camlimages_core.cmxa"
